Skip to content
wolkenkit-template-chat is an application template for wolkenkit.
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
client
server Introduce async await, prepare wolkenkit 2. (#4) Jun 21, 2018
.gitignore Introduce async await, prepare wolkenkit 2. (#4) Jun 21, 2018
LICENSE.txt
README.md Introduce async await, prepare wolkenkit 2. (#4) Jun 21, 2018
package.json

README.md

wolkenkit-template-chat

wolkenkit-template-chat is an application template for wolkenkit.

Installation

This is an application template for wolkenkit, a CQRS- and event-sourcing framework for JavaScript and Node.js. If you have not yet installed its CLI, please see the thenativeweb/wolkenkit repository.

To install this template use the wolkenkit CLI:

$ wolkenkit init --template https://github.com/thenativeweb/wolkenkit-template-chat.git

Quick start

Since this template contains a complete application, you can run it without further ado. To start the server, run the following command:

$ wolkenkit start

To start the client, you first have to set it up. Therefore, run the following commands to switch to the client directory and install the client's dependencies:

$ cd client
$ npm install

Then to actually run the client use the following command from inside the client directory:

$ npm run serve

License

Copyright (c) 2015-2018 the native web.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see GNU Licenses.

You can’t perform that action at this time.